Activity log for bug #594211

Date Who What changed Old value New value Message
2010-06-14 15:56:33 Graham Binns bug added bug
2010-06-16 09:00:35 Graham Binns branch linked lp:~gmb/launchpad/refactor-bugnotificationbuilder-bug-594211
2010-06-16 09:02:24 Graham Binns malone: status Triaged In Progress
2010-06-16 09:02:35 Graham Binns malone: assignee Graham Binns (gmb)
2010-06-28 19:59:38 Ursula Junque malone: milestone 10.06
2010-06-28 19:59:38 Ursula Junque tags story-better-bug-notification qa-needstesting story-better-bug-notification
2010-06-28 19:59:39 Ursula Junque malone: status In Progress Fix Committed
2010-07-06 03:36:19 Māris Fogels tags qa-needstesting story-better-bug-notification qa-ok story-better-bug-notification
2010-07-07 13:59:08 Curtis Hovey malone: status Fix Committed Fix Released
2010-07-22 13:30:06 Graham Binns summary Refactor BugNotificationBuilder to extend BaseMailer Add a BugNotificationRecipientsClass
2010-07-22 13:30:48 Graham Binns summary Add a BugNotificationRecipientsClass Add a RecipientReason class to
2010-07-22 13:30:51 Graham Binns description At the moment BugNotificationBuilder is a standalone class in It needs to move out of there for a start, and then it needs to be refactored to extend BaseMailer. BugNotificationRecipients should be refactored to use a descendant of basemailer.RecipientReason to generate headers and reasons.
2010-07-22 13:31:22 Graham Binns tags qa-ok story-better-bug-notification story-better-bug-notification story-refactor-bugnotifications
2010-07-22 19:09:07 Graham Binns branch linked lp:~gmb/launchpad/refactor-bugnotificationbuilder-bug-594211-part-2
2010-07-28 18:44:37 Launchpad QA Bot malone: milestone 10.07 10.08
2010-07-28 18:44:40 Launchpad QA Bot tags story-better-bug-notification story-refactor-bugnotifications qa-needstesting story-better-bug-notification story-refactor-bugnotifications
2010-07-28 19:12:05 Ursula Junque malone: status Fix Released Fix Committed
2010-08-09 12:03:48 Graham Binns tags qa-needstesting story-better-bug-notification story-refactor-bugnotifications qa-ok story-better-bug-notification story-refactor-bugnotifications
2010-08-12 13:37:39 Graham Binns malone: status Fix Committed Fix Released